Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Plain View
Pig >> mail # dev >> Upgrading antlr to 3.5


+
Prashant Kommireddi 2013-08-23, 17:50
+
Daniel Dai 2013-08-23, 19:02
+
Prashant Kommireddi 2013-08-23, 19:43
+
Daniel Dai 2013-08-23, 23:17
Copy link to this message
-
Re: Upgrading antlr to 3.5
Hive had lot of trouble while upgrading antlr last time. See
https://issues.apache.org/jira/browse/HIVE-2439 &
https://issues.apache.org/jira/browse/HIVE-4547
Not to say you will encounter these difficulties in next upgrade too but
given the fact that antlr is not very particular about backward & forward
compatibility and Hive uses antlr in pretty grueling way, I will be pretty
cautious with upgrade.

My two cents.
Ashutosh
On Fri, Aug 23, 2013 at 4:17 PM, Daniel Dai <[EMAIL PROTECTED]> wrote:

> If 3.5 can work without any code change, probably should be Ok. But we
> never tried that.
>
>
> On Fri, Aug 23, 2013 at 7:43 PM, Prashant Kommireddi <[EMAIL PROTECTED]
> >wrote:
>
> > Hi Daniel,
> >
> > The reasons are more internal. Our app is having an issue with 3.4 and
> it's
> > easier for us to move forward to 3.5
> >
> >
> http://antlr.markmail.org/search/?q=%22void+%3D+null%3B%22#query:%22void%20%3D%20null%3B%22%20order%3Adate-backward+page:1+mid:7g3th2bg3onyoqhv+state:results
> >
> > Is it difficult to upgrade the version across the board (hive + pig)?
> >
> >
> > On Fri, Aug 23, 2013 at 2:02 PM, Daniel Dai <[EMAIL PROTECTED]>
> wrote:
> >
> > > Any reason why you want to upgrade to 3.5? We'd like Hive/Pig use the
> > same
> > > version of antrl, which ease the integration work of Hive/Pig/HCat.
> > >
> > > Thanks,
> > > Daniel
> > >
> > >
> > > On Fri, Aug 23, 2013 at 5:50 PM, Prashant Kommireddi <
> > [EMAIL PROTECTED]
> > > >wrote:
> > >
> > > > Hey guys,
> > > >
> > > > Anyone aware of any issues with upgrading antlr to v3.5 for Pig? I am
> > > > planning to try it out, and wanted to make sure it's not already been
> > > > tried.
> > > >
> > > > Thanks,
> > > > Prashant
> > > >
> > >
> > > --
> > > CONFIDENTIALITY NOTICE
> > > NOTICE: This message is intended for the use of the individual or
> entity
> > to
> > > which it is addressed and may contain information that is confidential,
> > > privileged and exempt from disclosure under applicable law. If the
> reader
> > > of this message is not the intended recipient, you are hereby notified
> > that
> > > any printing, copying, dissemination, distribution, disclosure or
> > > forwarding of this communication is strictly prohibited. If you have
> > > received this communication in error, please contact the sender
> > immediately
> > > and delete it from your system. Thank You.
> > >
> >
>
> --
> CONFIDENTIALITY NOTICE
> NOTICE: This message is intended for the use of the individual or entity to
> which it is addressed and may contain information that is confidential,
> privileged and exempt from disclosure under applicable law. If the reader
> of this message is not the intended recipient, you are hereby notified that
> any printing, copying, dissemination, distribution, disclosure or
> forwarding of this communication is strictly prohibited. If you have
> received this communication in error, please contact the sender immediately
> and delete it from your system. Thank You.
>
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB